from django import template

from gallery.models import Album, Photo

register = template.Library()


@register.simple_tag
def last_albums(count=5):
    albums = Album.objects.filter(is_public=True).order_by("-album_date")[:count]
    return albums


@register.simple_tag
def top_photos(count=5):
    photos = Photo.objects.filter(album__is_public=True).order_by('-is_favorite', '-likes', '-views').select_related('album')[:count]
    return photos


@register.simple_tag
def top_photos_in_album(album, count=5):
    photos = Photo.objects.filter(album=album).order_by('-is_favorite', '-likes', '-views').select_related('album')[:count]
    return photos
